Joomla 1.5 with Php 7?

noojum

Member
New Member
Awards
0
Hi guys,
I wonder , is there anyway we use Joomla 1.5 with Php7?
I have many joomla 1.5 sites which I don't like to upgrade (need a lot of time and effort) and I'm looking for a way to use joomla 1.5 with PHP7.
Is it possible?
 

artwebco

Member
New Member
Awards
0
It is not possible, because Joomla 1.5 and the Joomla 1.5 extensions aren't written in php7 version.
Depending on your hosting environment, you may be able to configure different PHP versions for each of your Joomla installs.
 

cas_perg

New member
New Member
Awards
0
It is not possible, because Joomla 1.5 and the Joomla 1.5 extensions aren't written in php7 version.
Depending on your hosting environment, you may be able to configure different PHP versions for each of your Joomla installs.
I agree with you
 

LSDeep

DigiPunk
Awards
0
Hi guys,
I wonder , is there anyway we use Joomla 1.5 with Php7?
I have many joomla 1.5 sites which I don't like to upgrade (need a lot of time and effort) and I'm looking for a way to use joomla 1.5 with PHP7.
Is it possible?
you still having many sites running on j1.5 - give me some domains that's a feast for some easy hacking LOL.

cheers, L
 

jamby

Member
New Member
Awards
0
Hi!

That imposibble. Joomla 1.5.26 not working on any PHP 7. Upgrade all sites to joomla 3. I have a hosting company and all joomla 1.5 upgraded to joomla 3. Joomla 1.5.26 not supported from 2014 and php 5 is very oldest.

Br. JamBy
 

KCP

New member
New Member
Awards
0
I had problems with the Joomla 1.5 site already using php 5.6
 

LSDeep

DigiPunk
Awards
0
my humble opinion, if you use j1.x at this point still you are out of your mind. i would nearly go that far for ppl that are still on j2.5! if nothing else the huge security holes make your site a risk for yourself and a feast for any script kiddy - not even wanna talk about hackers.
back to your original question, i doubt you will get j1 running with php7.x - to many changes over the years. i guess you could (maybe) by spending enormous amounts of time to modify code... what would be outright stupid. you can use that time to fix the issues you may encounter by bringing your joomla version up to date and be on the safer side of things.

cheers, L
 

Inceptor

New member
New Member
Awards
0
I get worried when not updated to latest minor version. ie currently on 3.9.8, so if 3.9.9 was released I would be wanting that updated ASAP.

At least then most security vulnerabilities that known about are fixed.

How are these sites even still running without being completely trashed? Are they on the internet, or internal sites only or something?
 

Hassan SAR

New member
New Member
Awards
0
With Joomla Migration add-ons, this is not difficult. You can first try a free host or localhost.
 

Batcompu

New member
New Member
SN Confirmed Member
Awards
0
I would definitely make the effort to upgrade if you still running 1.5

My web host would even turn the domain down if I would use such an old version.
It's a miracle you aren't hacked every week with al the bots searching for easy hacks on the web.
With migrating tools, you could be up to date within an hour or so.

The Joomla 3.x supported themes are a lot easier to install and configure and looks better on all mobile devices.

So if I where you (which I ain't) I would set all my effort in upgrading and nothing else.
 

traviscfs

New member
New Member
Awards
0
I had a Simular issue to this, an old site I ran for a customer the ISP service upgraded without letting me know to PHP7. It was impossible to get 1.5 to work. I had massive issues upgrading joomla 1.5 to 2.5 and never seem to work. So honestly I had to man up and install a fresh copy of 3.1 and within the SQL database merge it over. I am sorry to say but if your running 1.5 its time to upgrade.
 

mailzaforume77

New member
New Member
Awards
0
Upgrade your sites ASAP m8.

Even if they working ok, and you think that you don't have any problems right now.
 

end333

New member
New Member
Awards
0
I suggest that you perform an upgrade ASAP, there are many easy ways to hack J1.5. And for your questions, there is no way you can run Joomla 1.5 on PHP 7 except if you get some developers to rebuild your entire system(PHP CODE) however this is very ineffective and a really bad management of resources..
 
Top